clear;close all;
gr=groot;gr.ShowHiddenHandles='on';
fig=uifigure;
sub22(1)=uiaxes(fig);
sub22(2)=uiaxes(fig);
sub22(3)=uiaxes(fig);
sub22(4)=uiaxes(fig);
set(sub22(1),'Units','normalized','Position',[0.1300 0.5838 0.3347 0.3412])
set(sub22(2),'Units','normalized','Position',[0.5703 0.5838 0.3347 0.3412])
set(sub22(3),'Units','normalized','Position',[0.1300 0.1100 0.3347 0.3412])
set(sub22(4),'Units','normalized','Position',[0.5703 0.1100 0.3347 0.3412])

viewagl=[-37.5,30;0,90;90,0;0,0];  % _AO
%n=35;                              % A[
n=16;
l=[zeros(2,n);2*ones(1,n)];        %A[su
%lg=l/2;            %dSʒu

arm(1).l=[-40;0;0];%
arm(2).l=[-10;0;-40];%r
arm(3).l=[-10;10;-50];
arm(4).l=[0;0;20];%
arm(5).l=[0;0;30];%
arm(6).l=[40;0;0];%E
arm(7).l=[10;0;-40];%Er
arm(8).l=[10;10;-50];
arm(9).l=[0;0;50];%
arm(10).l=[0;0;0];%_
arm(11).l=[-20;0;0];%
arm(12).l=[-10;0;-55];
arm(13).l=[0;0;-90];%r
arm(14).l=[20;0;0];
arm(15).l=[10;0;-55];
arm(16).l=[0;0;-90];

for i=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16]
    arm(i).a=[1;0;0];
end

%for i=[3,8]
%   arm(i).a=[0;1;0];
%end
%arm(4).a=[0;0;1];

for i=1:n
    arm(i).l=arm(i).l*5/100;
	arm(i).th=0;
    arm(i).lg=arm(i).l/2;
end

%% eN
arm(1).parent=5;arm(2).parent=1;arm(3).parent=2;
arm(6).parent=5;arm(7).parent=6;arm(8).parent=7;
arm(4).parent=5;arm(5).parent=9;arm(9).parent=10;
arm(13).parent=12;arm(12).parent=11;arm(11).parent=10;arm(10).parent=0;
arm(16).parent=15;arm(15).parent=14;arm(14).parent=10;

%% qNڑoNƂ
arm=vectest9makechildlink(arm);
ind=vectest9findallchildren(arm);
arm=vectest9kinematics(arm,ind);
plot1=[];
plot1=vectest9plot2021(arm,plot1,sub22);
%plot1=vectest9plot2021(arm,plot1);

fig2=uifigure;
ui=vectest9makeui(arm,'vectest9sub2021;',fig2);

b(1) = uibutton(fig2);
b(1).Text = 'LbN';
%b.Position = [400,300,100,100];
b(1).Position = [400,300,100,50];
b(1).ButtonPushedFcn='kickmotion';

b(2) = uibutton(fig2);
b(2).Text = 'Kbc|[Y';
%b.Position = [400,200,100,100];
b(2).Position = [400,250,100,50];
b(2).ButtonPushedFcn='pose';

b(3) = uibutton(fig2);
b(3).Text = 'Zbg';
%b.Position = [400,300,100,100];
b(3).Position = [400,150,100,50];
b(3).ButtonPushedFcn='resettag';
%b = uibutton(fig2);

%% vbg
for i=1:4
 axis(sub22(i),'equal');axis(sub22(i),10*[-1,1,-1,1,-1,1]);
	view(sub22(i),viewagl(i,:));grid(sub22(i),"on") ;
end 
